=== debian/changelog ===
fomp (1.0.0~dfsg0-3) unstable; urgency=medium

  * Bring package to pkg-multimedia team.(Closes: #815229)
  * Add myself as uploader.
  * Add Vcs fields.
  * Bump Standards.
  * Set dh/compat 10.
  * Use secure uri in watch file.
  * Avoid useless linking - properly.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 29 Oct 2017 17:29:41 +0100

fomp (1.0.0~dfsg0-2) unstable; urgency=medium

  * QA upload.
  * Orphaning

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 10:55:14 +0000

fomp (1.0.0~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #692354)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Nov 2012 10:49:59 +0000
