=== debian/control ===
Source: fomp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10~),
 lv2-dev,
 pkg-config,
 python
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
Homepage: http://drobilla.net/software/fomp/

Package: fomp
Architecture: any
Provides:
 lv2-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: collection of LV2 audio plugins
 Fomp is an LV2 port of the MCP, VCO, FIL, and WAH plugins
 originally written by Fons Adriaensen.
 .
 There are 13 plugins in total: 1 auto-wah, 1 EQ, 3 chorus,
 5 filters, and 3 oscillators.
 .
 The plugin implementations are identical to their LADSPA
 forebears, except the primary frequency port of oscillators
 and filters has been converted to Hz to facilitate use in any
 host without assuming the hidden tuning frequency of
 AlsaModularSynth. All other frequency ports remain as they
 were, using octaves for faithful Moog-like modulation.
