=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/fomp-(.*)\.tar\.bz2
