=== debian/changelog ===
fomp (1.2.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Build with python3 (Closes: #943062)
    + Use https protocol for homepage
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year, http > https and add myself
  * d/rules:
    + Fix WAF variable
    + Clean up, remove get-orig-source
  * d/watch: Remove opts

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 20:37:48 +0100
