=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: fomp
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  lv2-dev,
  pkg-config,
- python
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
-Homepage: http://drobilla.net/software/fomp/
+ python3
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/fomp.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/fomp
+Homepage: https://drobilla.net/software/fomp/
+Rules-Requires-Root: no
 
 Package: fomp
 Architecture: any
