=== debian/watch ===
version=3
https://download.drobilla.net/fomp-(.*)\.tar\.bz2
