## fomp 1.2.2

=== wscript ===
--- 
+++ 
@@ -4,10 +4,11 @@
 import re
 import shutil
 
+from waflib import Options
 from waflib.extras import autowaf
 
 # Version of this package (even if built as a child)
-FOMP_VERSION = '1.2.0'
+FOMP_VERSION = '1.2.2'
 
 # Mandatory waf variables
 APPNAME = 'fomp'        # Package name for waf dist
@@ -29,9 +30,47 @@
     conf.load('compiler_cxx', cache=True)
     conf.load('lv2', cache=True)
     conf.load('autowaf', cache=True)
-    autowaf.set_c_lang(conf, 'c99')
+    autowaf.set_cxx_lang(conf, 'c++11')
 
-    conf.check_pkg('lv2 >= 1.0.0', uselib_store='LV2')
+    if Options.options.ultra_strict:
+        autowaf.add_compiler_flags(conf.env, 'cxx', {
+            'clang': [
+                '-Wno-double-promotion',
+                '-Wno-enum-float-conversion',
+                '-Wno-float-conversion',
+                '-Wno-float-equal',
+                '-Wno-global-constructors',
+                '-Wno-implicit-float-conversion',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-reserved-id-macro',
+                '-Wno-shadow-field',
+                '-Wno-shorten-64-to-32',
+                '-Wno-sign-conversion',
+                '-Wno-suggest-override',
+                '-Wno-suggest-destructor-override',
+                '-Wno-unused-macros',
+                '-Wno-unused-parameter',
+                '-Wno-weak-vtables',
+                '-Wno-zero-as-null-pointer-constant',
+            ],
+            'gcc': [
+                '-Wno-conversion',
+                '-Wno-double-promotion',
+                '-Wno-effc++',
+                '-Wno-float-conversion',
+                '-Wno-float-equal',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-suggest-attribute=const',
+                '-Wno-suggest-override',
+                '-Wno-unused-macros',
+                '-Wno-unused-parameter',
+                '-Wno-zero-as-null-pointer-constant',
+            ]
+        })
+
+    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
 
     conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
     autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})
@@ -39,7 +78,6 @@
 def build_plugin(bld, lang, bundle, name, source, defines=None):
     obj = bld(features     = '%s %sshlib lv2lib' % (lang,lang),
               source       = source,
-              includes     = ['.', 'src/include'],
               name         = name,
               target       = os.path.join('lv2', bundle, name),
               uselib       = ['LV2'],
