=== debian/changelog ===
fomp (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Add pgpmode=auto to d/watch
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Update d/copyright year for my entry
  * Remove unnecessary LDFLAGS from d/rules
  * Include architecture.mk instead of defining DEB_HOST_MULTIARCH

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 19 Jan 2021 20:04:34 +0100
