=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  lv2-dev,
  pkg-config,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/fomp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fomp
 Homepage: https://drobilla.net/software/fomp/
