=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.drobilla.net/fomp-(.*)\.tar\.bz2
