=== debian/changelog ===
fomp (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Change B-D from pkg-config to pkgconf
  * Build with meson
  * Bump d/copyright years
  * Refresh d/lintian-overrides
  * Use the default ci config from salsa
  * d/watch: Recognize all archive extensions

 -- Dennis Braun <snd@debian.org>  Fri, 26 Apr 2024 21:04:14 +0200

fomp (1.2.2-2) unstable; urgency=medium

  * Clean lock file from successful build (Closes: #1044937)
  * Fix the installation to the default lv2 path
  * Surpress false positive blhc messages
  * Bump Standards-Version to 4.6.2
  * Change my email address
  * Add lintian-overrides
  * Add salsa ci config
  * Build verbose

 -- Dennis Braun <snd@debian.org>  Wed, 27 Sep 2023 19:59:19 +0200
